Bug 32163 - sndconfig (fotr emu10k) writes aumix-minimal post-install line which fails
Summary: sndconfig (fotr emu10k) writes aumix-minimal post-install line which fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-18 23:02 UTC by David Sainty
Modified: 2014-03-17 02:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 20:29:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Sainty 2001-03-18 23:02:38 UTC
Latest rawhide, kernel-2.4.2-0.1.29, sndconfig-0.64.5-1, aumix-2.7-2

Configuring sound for first time w/ sndconfig...

The "Creative Labs|SB Live! EMU10000" is detected (this is correct, and the
module can be manually loaded fine with modprobe, and sound played with it).

When sndconfig tries to load the module we get:

"""
modprobe error
    aumix: unable to open settings file
    /lib/modules/2.4.2-0.1.29/kernel/drivers/sound/emu10k/emu10k1.o:
post-install sound-slot-0 failed
    /lib/modules/2.4.2-0.1.29/kernel/drivers/sound/emu10k/emu10k1.o: insmod
sound-slot-0 failed
"""

Upon inspection of modules.conf the post-install line calls
"/bin/aumix-minimal -f /etc/.aumixrc -L" however /etc/.aumixrc does NOT
exist. Running this line manually with the module manually loaded confirmed
the "unable to open settings file" error.

As you can see from package releases, this is one day old rawhide ~20010317.

Comment 1 Glen Foster 2001-03-19 20:29:12 UTC
This defect considered MUST-FIX for Florence Gold

Comment 2 Bill Nottingham 2001-03-19 21:25:29 UTC
This will be fixed in kudzu-0.98.3, sndconfig-0.64.6.


Note You need to log in before you can comment on or make changes to this bug.